Summary: Kernel Configuration Tool
Name: kernelcfg
Icon: kernelcfg.gif
Version: 0.5
Release: 2
Copyright: GPL
Group: Utilities/System
Source: kernelcfg-%{PACKAGE_VERSION}.tar.gz
Excludearch: alpha
Requires: pythonlib >= 1.8, python, tkinter, module-info
Summary(de): Kernel-Konfigurations-Tool
Summary(fr): Outil de configuration du noyau.
Summary(tr): ekirdek yaplandrma arac

%changelog
* Thu Jun 11 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr


* Wed Jun 10 1998 Erik Troan <ewt@redhat.com>

- needs to understand release numbers on module-info file -- use 
  /lib/preferred for a first try, if that fails, just glob

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>

- wmconfig only for root
- noarch doesn't go very well with "ExcludeArch: alpha"...

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>

- no paths allowed in wmconfig files

* Mon Nov 03 1997 Michael K. Johnson <johnsonm@redhat.com>

- requires tkinter

* Tue Oct 28 1997 Otto Hammersmith <otto@redhat.com>

- fixed icon reference in .init file

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>

- made a noarch package

* Mon Jun 02 1997 Michael K. Johnson <johnsonm@redhat.com>

- Look for /boot/module-info-$(uname -r) as well as /boot/module-info
- Tell the user what went wrong if the file doesn't exist.

%description
Red Hat Linux kernelcfg provides a GUI interface which allows you to
easily administrate your kerneld configuration.

%description -l de
Red-Hat-Linux-kernelcfg stellt eine GUI-Oberflche zur unkomplizierten 
Administration der kerneld-Konfiguration bereit.

%description -l fr
kernelcfg de Red Hat offre une interface utilisateur graphique vous permettant
d'administrer facilement votre configuration de kerneld.

%description -l tr
RedHat tarafndan gelitirilen bu ara hangi modllerin ykleneceini ve
sisteminizin nelere destek vereceini grafik bir arayz yardmyla
dzenlemenizi salar.

%prep
%setup

%build
unset DISPLAY || true
export PYTHONPATH=/usr/lib/rhs/python
make

%install
unset DISPLAY || true
export PYTHONPATH=/usr/lib/rhs/python
mkdir -p /usr/lib/rhs/control-panel
rm -rf /usr/lib/rhs/kernelcfg
make install
mkdir -p /usr/share/icons
cp /usr/lib/rhs/control-panel/kernelcfg.xpm /usr/share/icons/
chmod 600 /etc/X11/wmconfig/kernelcfg

%files
/usr/bin/kernelcfg
/usr/lib/rhs/kernelcfg
/usr/lib/rhs/control-panel/kernelcfg.init
/usr/lib/rhs/control-panel/kernelcfg.xpm
/usr/share/icons/kernelcfg.xpm
%config(missingok) /etc/X11/wmconfig/kernelcfg
